Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Koneki » Installing LDT on Aptana Studio - Mac OS 10.7 64bit
Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416480] Tue, 12 June 2012 22:16 Go to next message
Ricardo Graça is currently offline Ricardo GraçaFriend
Messages: 10
Registered: June 2012
Junior Member
I'm trying to use LDT with Aptana Studio 3 on Mac OS 10.7.4 x86_64 and it seems there's something wrong. Judging from the log I can see there's an error about a missing lua5.1. I have the lua5.1 interpreter on the /Library/Lua directory but it seems that LDT can't find it. How can I configure the java.library.path to include the location of my Lua installation?

I think this is the only problem I have in regards to using LDT on Aptana because this combo works fine on Ubuntu 12.04.
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416481 is a reply to message #1416480] Tue, 12 June 2012 22:19 Go to previous messageGo to next message
Eclipse UserFriend
Can you post the complete error you got in the error log (ie. the stack trace)? I don't think this is something that can be solved by playing with the java.library.path... :/

Also, which version of LDT for MacOS x86_64 are you running?
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416482 is a reply to message #1416481] Tue, 12 June 2012 22:25 Go to previous messageGo to next message
Ricardo Graça is currently offline Ricardo GraçaFriend
Messages: 10
Registered: June 2012
Junior Member
Thanks for the quick reply. The version of LDT should be the latest one since it was automatically updated today. I'll only be able to post the error log tomorrow. In theory Aptana is just Eclipse with a different face so I don't see why it's not working. Am I supposed to have the lua5.1 interpreter installed in a specific directory? It's even in the system PATH so I don't see why LDT isn't finding it.
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416483 is a reply to message #1416482] Tue, 12 June 2012 22:29 Go to previous messageGo to next message
Eclipse UserFriend
Actually LDT does not even need you to have lua5.1 installed on your system whatsoever... Your issue seems to be because LDT cannot actually find/resolve the plugin which brings the Lua VM.

Quote:
> The version of LDT should be the latest one since it was automatically updated today.


Does it mean it used to work fine just before the update??
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416484 is a reply to message #1416483] Wed, 13 June 2012 10:17 Go to previous messageGo to next message
Ricardo Graça is currently offline Ricardo GraçaFriend
Messages: 10
Registered: June 2012
Junior Member
Here is the stack trace: pastebin.com/f606vhmQ (Sorry, but I can't post links and I don't want to fill the screen with a stack trace...)
BTW, I can see that the JNLua plugin is installed (this is the one you were talking about right?), but on Ubuntu there's a 64 bit version of it as well, whereas on Mac I can only see one version.

All LDT plugins are version 0.8.0.201206122001.
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416485 is a reply to message #1416484] Wed, 13 June 2012 10:31 Go to previous messageGo to next message
Eclipse UserFriend
Mmmmh thanks for the trace! It is not normal that you don't see the 64bit JNLua fragment on the mac ...
Can you send me the pastebin with the whole installation details of your system. Please copy/paste the whole content of "Help > About ... > Installation Details > Configuration". It should help me to nail down where the issue come from... hopefuly! :)

Thanks!
Benjamin
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416486 is a reply to message #1416484] Wed, 13 June 2012 10:52 Go to previous messageGo to next message
Ricardo Graça is currently offline Ricardo GraçaFriend
Messages: 10
Registered: June 2012
Junior Member
Here it is: pastebin.com/BnDTSAth
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416488 is a reply to message #1416486] Wed, 13 June 2012 11:02 Go to previous messageGo to next message
Eclipse UserFriend
Gotcha... That what I was suspecting... Your Mac is a 32-bit, not 64... :-/
We don't have support for MacOSX 32-bit... :( and it seems we are doing something wrt to not allowing ppl to install LDT on 32-bit. The reason your problem were not raised before is that I suspect most of our users are using the standalone product, which is simply not available for Mac32.

I have opened bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=382479
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416489 is a reply to message #1416488] Wed, 13 June 2012 11:10 Go to previous messageGo to next message
Ricardo Graça is currently offline Ricardo GraçaFriend
Messages: 10
Registered: June 2012
Junior Member
No, Mac is 64-bit. Aptana is 32-bit only. I only figured that Aptana is 32-bit because on the Activity Monitor all other processes that are 64-bit are marked with type "Intel (64 bits)" and Aptana is of the type "Intel". I'll have to go with a standard Eclipse install if I want to use LDT on Mac.
Re: Installing LDT on Aptana Studio - Mac OS 10.7 64bit [message #1416490 is a reply to message #1416489] Wed, 13 June 2012 13:37 Go to previous message
Eclipse UserFriend
Ha! Reason I thought you were on 32-bit is that in the config details there's "arch x86" and I was assuming it meant the *actual* system was 32bit, I guess I was wrong...

If the only availble Aptana version is the Universal binary available on their website then the only viable solution for you is to install the Aptana plugins in a regular Eclipse install :/ though I may try to give you a way to transform an existing Eclipse install into a "branded" Aptana product but I don't guarantee I will have time (_and it may be a bit hackish for very few advantages besides the Aptana splash screen, no? :))
Previous Topic:Code Assist prototype feedback
Next Topic:Koneki doesn't open lua scripts in RH Linux
Goto Forum:
  


Current Time: Thu Sep 20 12:25:27 GMT 2018

Powered by FUDForum. Page generated in 0.02445 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top